﻿:root {
    /* Primary */
    --color-primary-900: #A72A28;
    --color-primary-300: #CA7D7C;
    /* Secondary */
    --color-secondary-900: #0A72BA;
    --color-secondary-300: #74A9D6;
    /* Neutral */
    --color-neutral-900: #0C0C20;
    --color-neutral-800: #1E1E1E;
    --color-neutral-600: #686868;
    --color-neutral-300: #AEAEAE;
    --color-neutral-200: #E8E8E8;
    --color-neutral-100: #F6FAF9;
    --color-neutral-0: #FFFFFF;
    /* Liner*/
    --liner-primary: linear-gradient(90.22deg, #821715 0%, #C72421 70%);
    /* Shadows */
    --shadow-lg: 0px 4px 8px rgba(0, 0, 0, 0.15); /* Opacity 15% */
    --shadow-md: 0px 4px 8px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    --shadow-sm: 0px 2px 4px rgba(0, 0, 0, 0.10); /* Opacity 10% */
    /* Fonts */
    --font-highlight: "Playfair Display", serif;
    --font-body: "Roboto", sans-serif;
    --scroll-bar: 8px;
}

*, ::after, ::before {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

p, a, h2, h3, h4, h5, h6, span {
    line-height: 149%;
}

a {
    text-decoration: none;
    color: inherit;
}

    a:hover {
        color: inherit;
    }

/*Start Ảnh thumbnail mặc định*/
.loading {
    top: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, #e0e0e0 25%, #f0f0f0 50%, #e0e0e0 75%);
    animation: shimmer 15s infinite;
}

.lazy-loaded {
    background-color: transparent;
    opacity: 1;
}

@keyframes shimmer {
    from {
        background-position: -1000px 0;
    }

    to {
        background-position: 1000px 0;
    }
}

/* Utility */
.u-asp-16-9 {
    width: 100%;
    position: relative;
}

    .u-asp-16-9::before {
        content: "";
        display: block;
        padding-top: 56.25%; /* 16:9 Aspect Ratio */
    }

.u-asp-16-9__item {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.u-asp-9-16 {
    position: relative;
    width: 100%;
}

    .u-asp-9-16::before {
        content: "";
        display: block;
        padding-top: 177.7778%; /* 9:16 Aspect Ratio */
    }

.u-asp-9-16__item {
    width: 100%;
    position: absolute;
    inset: 0;
}

.u-text-limit {
    display: -webkit-box;
    overflow: hidden;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: var(--lines,2);
}
/* Container */
.container {
    width: 100%;
    padding: 0 16px;
    max-width: 1320px;
    margin-right: auto;
    margin-left: auto;
}
/* Header */
header .tool-bar {
    background-color: var(--color-neutral-200);
    padding: 8px 0;
}

header .tool-bar__contain {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header .tool-bar__list-contain {
    padding-left: 0;
    margin-bottom: 0;
    display: flex;
}

header .tool-bar__item {
    list-style: none;
    font: 400 14px/149% var(--font-body);
    color: var(--color-neutral-800);
}

    header .tool-bar__item:not(:first-child) {
        margin-left: 16px;
        padding-left: 18px;
        position: relative;
    }

        header .tool-bar__item:not(:first-child):after {
            content: "";
            position: absolute;
            top: 50%;
            left: 7px;
            transform: translateY(-50%);
            width: 3px;
            height: 3px;
            border-radius: 50%;
            background-color: var(--color-neutral-800);
        }

header .tool-bar__search {
    display: flex;
    align-items: center;
    border-radius: 24px;
    overflow: hidden;
    padding: 1px;
    background-color: var(--color-neutral-0);
}

header .tool-bar__search-input {
    border: none;
    outline: none;
    padding: 7px 0;
    padding-left: 24px;
    font: 400 16px/149% var(--font-body);
    color: var(--color-neutral-600);
}

header .tool-bar__search-button {
    border: none;
    outline: none;
    background-color: transparent;
    padding: 7px 20px 7px 10px;
    cursor: pointer;
    font: 500 16px/149% var(--font-body);
    color: var(--color-neutral-0);
}

header .logo-hero {
    background-color: var(--color-neutral-0);
}

    header .logo-hero .container > * {
        display: flex;
        justify-content: space-between;
        padding: 24px 0;
    }

header .logo-hero__link {
    /* width: calc(100% - (77% + 12px)); */
    max-width: 380px;
}

header .logo-hero__header-banner {
    flex: 1;
    padding-left: 24px;
}

header .logo-hero__image {
    height: 100%;
}

header .logo-hero .header-image {
    width: 100%;
    height: 100px;
    /* object-fit: cover; */
}
/* .main-menu .container >*{
    overflow-x: scroll;
} */
menu {
    position: sticky;
    top: 0;
    z-index: 9999;
}

    menu .main-menu {
        background: var(--liner-primary);
    }

.main-menu .main-menu__list {
    padding: 0;
    margin: 0;
    display: flex;
    /* white-space: nowrap; */
}

.main-menu__item {
    list-style: none;
    line-height: 1;
    position: relative;
    padding: 16px 0;
}

    .main-menu__item:hover {
        background-color: #641918;
    }

    .main-menu__item.nav-active {
        background-color: #862220;
    }

.main-menu .main-menu__item--has-dropdown {
    flex: 1 0 auto;
}

.main-menu .main-menu__item:nth-child(n+2) {
    padding-left: 8px;
}

.main-menu .main-menu__item:nth-last-child(n+2) {
    padding-right: 8px;
    position: relative;
}

    .main-menu .main-menu__item:nth-last-child(n+2)::after {
        content: "";
        position: absolute;
        right: 0;
        top: 50%;
        height: 24px;
        width: 1px;
        transform: translateY(-50%);
        background-color: var(--color-neutral-200);
        opacity: .3;
    }

.main-menu .main-menu__link {
    color: var(--color-neutral-0);
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.main-menu .main-menu__text {
    font: 500 16px/142% var(--font-body);
    text-transform: uppercase;
    margin-bottom: 0;
}

.main-menu__text--home {
    height: 24px;
}

.main-menu .main-menu__dropdown-icon {
    margin-left: 8px;
}

.main-menu .main-menu__sub-menu {
    position: absolute;
    z-index: 100;
    min-width: 100%;
    top: calc(100%);
    left: 0;
    background-color: var(--color-neutral-0);
    padding: 0;
    margin: 0;
    box-shadow: var(--shadow-sm);
    overflow: hidden;
    height: 0;
    transition: height 300ms ease, padding 100ms ease;
}

.main-menu__sub-link {
    display: block;
    width: 100%;
}

.main-menu .main-menu__sub-item {
    list-style: none;
    white-space: nowrap;
    font: 500 16px/149% var(--font-body);
    color: var(--color-neutral-800);
}

.main-menu__sub-item:hover {
    color: #862220;
}

.main-menu .main-menu__sub-item:nth-last-child(n+2) {
    margin-bottom: 8px;
    padding-bottom: 8px;
    border-bottom: 1px solid var(--color-neutral-200);
}

.main-menu .main-menu__item--has-dropdown:hover .main-menu__sub-menu {
    height: auto;
    padding: 16px;
}

.mobile-menu-btn,
.mobile-menu {
    display: none;
}
/* Keyword */
.keyword-bar {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 24px;
    padding-bottom: 16px;
    border-bottom: 3px solid var(--color-neutral-200);
    margin-bottom: 32px;
}

.keyword-bar__list {
    display: flex;
    width: 60%;
    overflow: auto;
}

    .keyword-bar__list .swiper {
        margin-left: 0;
        margin-right: 0;
    }

    .keyword-bar__list .swiper-slide {
        width: auto !important;
    }

    .keyword-bar__list .keyword-bar__item {
        white-space: nowrap;
    }

.keyword-bar__item {
    font: 400 16px/149% var(--font-body);
    color: var(--color-neutral-800);
    display: flex;
    align-items: center;
}

.keyword-bar__icon {
    max-width: 24px;
    max-height: 24px;
    margin-right: 8px;
}

.keyword-bar__text {
    margin-bottom: 0;
}

.keyword-bar__text--medium {
    font-weight: 500;
}

/* Anchor */
.anchor {
    position: fixed;
    bottom: 64px;
    right: 16px;
    z-index: 10;
    height: 48px;
    width: 48px;
    cursor: pointer;
    border-radius: 50%;
    background-color: var(--color-neutral-0);
    border: 1px solid var(--color-neutral-600);
    display: none;
    justify-content: center;
    align-items: center;
}

    .anchor.active {
        display: flex;
    }

.anchor__icon {
    width: 32px;
    height: 32px;
}

/* Footer */
.footer {
    background-color: var(--color-neutral-100);
    box-shadow: 0 0 0 100vmax var(--color-neutral-100);
    clip-path: inset(0 -100vmax);
}

    .footer .container {
        padding: 16px;
    }

/* Footer Logo */
.footer-logo {
    padding: 16px 0;
    position: relative;
}

    .footer-logo::after {
        content: "";
        position: absolute;
        z-index: 1;
        width: calc(100vmax - var(--scroll-bar));
        height: 100%;
        top: 0;
        left: 50%;
        right: 50%;
        margin-left: -50vw;
        margin-right: -50vw;
        background-image: url('/asset/images/footer_bg.png');
        background-position: center;
        background-size: cover;
        background-repeat: no-repeat;
        border-top: 5px solid var(--color-primary-900);
    }

.footer-logo__wrapper {
    width: fit-content;
    margin: 0 auto;
    position: relative;
    z-index: 3;
    padding: 16px;
    border-radius: 4px;
    background-color: var(--color-neutral-0);
}

.footer-logo__image {
    width: 100%;
    height: 100%;
}

.footer__text {
    font: 400 16px/149% var(--font-body);
    color: var(--color-neutral-800);
    margin-bottom: 0;
}

.footer__text--medium {
    font-weight: 500;
}

.footer__text--bold {
    font-weight: 800 !important;
}

.footer__text--highlight {
    font-weight: 500;
    color: var(--color-secondary-900);
}

.footer__main-info {
    display: flex;
    justify-content: space-between;
}

    .footer__main-info > *:first-child {
        width: calc(59.81% - 16px);
    }

    .footer__main-info > *:nth-child(n+2) {
        --space: calc(100% - 59.81% - 16px);
        width: calc(var(--space) / 2);
    }

    .footer__main-info > * > *:nth-last-child(n+2) {
        margin-bottom: 16px;
    }

.footer__text-box {
    display: flex;
    align-items: center;
}

.footer__icon {
    margin-right: 8px;
}

.footer__relate-info {
    display: flex;
    align-items: center;
    margin-top: 24px;
    padding-top: 24px;
    border-top: 3px solid var(--color-neutral-200);
}

    .footer__relate-info > *:nth-child(2) {
        margin-left: 32px;
    }

    .footer__relate-info > *:nth-child(3) {
        margin-left: auto;
        margin-top: 0px;
    }

.footer__social-list {
    display: flex;
    justify-content: space-between;
}

    .footer__social-list > *:nth-last-child(n+2) {
        margin-right: 8px;
    }

.footer__post-wrapper {
    margin-top: 8px;
}

.footer__post-input {
    border-radius: 24px;
    background-color: var(--color-neutral-0);
    border: 1px solid var(--color-neutral-200);
    outline: none;
    padding: 8px 24px;
    color: var(--color-neutral-600);
    font-size: 16px;
    line-height: 149%;
    margin-right: 16px;
}

.footer__post-btn {
    border: 1px solid var(--color-neutral-200);
    background-color: var(--color-primary-900);
    border-radius: 24px;
    padding: 8px 24px;
    font: 500 16px/149% var(--font-body);
    color: var(--color-neutral-0);
    cursor: pointer;
}
.footer__dropdown {
    display: none;
}
/* Section Header */
.section-header__main {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;
}

.section-header__title:hover {
    color: #064470;
}

.section-header__title {
    font: 700 32px/149% var(--font-highlight);
    color: var(--color-secondary-900);
    margin-bottom: 0;
}

.section-header__more-link {
    display: flex;
    align-items: center;
    font: 500 16px/149% var(--font-body);
    color: var(--color-secondary-900);
    text-transform: uppercase;
}

    .section-header__more-link:hover {
        color: #064470;
    }

.section-header__more-icon {
    margin-left: 8px;
}

.section-header__bottom-line {
    border-bottom: 1px solid var(--color-neutral-200);
    width: 100%;
    position: relative;
}

.section-header__bar {
    position: absolute;
    left: 0;
    bottom: -1px;
    width: 138px;
    height: 8px;
    display: flex;
}

.section-header__bar-left {
    width: calc( 90% - 2px);
    height: 100%;
    background: var(--color-primary-900);
}

.section-header__bar-right {
    width: calc( 10% + 2px);
    height: 100%;
    background: transparent;
    border-left: 6px solid var(--color-primary-900);
    border-bottom: 8px solid transparent;
    box-sizing: border-box;
}
/* Accordion */
/* Core func */
.tab {
    position: relative;
}

    .tab input {
        position: absolute;
        opacity: 0;
        z-index: -1;
    }

.tab__label::before {
    content: "";
    position: absolute;
    z-index: 11;
    height: 24px;
    width: 24px;
    top: 50%;
    transform: translateY(-50%);
    right: 0;
    background-image: url('data:image/svg+xml;utf8,<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M12 16.8C11.3 16.8 10.6 16.53 10.07 16L3.55002 9.47998C3.26002 9.18998 3.26002 8.70998 3.55002 8.41998C3.84002 8.12998 4.32002 8.12998 4.61002 8.41998L11.13 14.94C11.61 15.42 12.39 15.42 12.87 14.94L19.39 8.41998C19.68 8.12998 20.16 8.12998 20.45 8.41998C20.74 8.70998 20.74 9.18998 20.45 9.47998L13.93 16C13.4 16.53 12.7 16.8 12 16.8Z" fill="white"/></svg>');
    transition: all 400ms ease;
}

.tab__content {
    max-height: 0;
    overflow: hidden;
    transition: all 300ms;
}

.tab__label {
    display: block;
    width: 100%;
}

.tab__label--empty::before {
    display: none;
}

.tab__header {
    position: relative;
}

.tab:has(input:checked) .tab__content {
    max-height: 30rem;
}

.tab:has(input:checked) .tab__label::before {
    transform: rotate(180deg);
    top: 0;
    bottom: 0;
}

.tab__header input:checked ~ .tab__label {
    opacity: .8;
}

/* Nav Tabs Core Funct */
.tabset > input[type="radio"] {
    position: absolute;
    left: -200vw;
}
/* 
.tabset .tab-panel {
  display: none;
} */

.tabset > input:first-child:checked ~ .tab-panels > .tab-panel:first-child,
.tabset > input:nth-child(3):checked ~ .tab-panels > .tab-panel:nth-child(2),
.tabset > input:nth-child(5):checked ~ .tab-panels > .tab-panel:nth-child(3),
.tabset > input:nth-child(7):checked ~ .tab-panels > .tab-panel:nth-child(4),
.tabset > input:nth-child(9):checked ~ .tab-panels > .tab-panel:nth-child(5),
.tabset > input:nth-child(11):checked ~ .tab-panels > .tab-panel:nth-child(6) {
    display: block;
}

/* Modal email */
.custom-modal {
    position: fixed;
    z-index: 100;
    overflow: auto;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgb(0 0 0 / 60%);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    padding: 30px;
}

.custom-modal-dialog {
    max-width: 620px;
    width: 100%;
    border-radius: 0px;
    position: relative;
}

.custom-modal-content {
    background: #ffffff;
    padding: 30px 30px;
    border-radius: 10px;
}

.close-modal {
    position: absolute;
    top: -10px;
    right: -10px;
    width: 30px;
    height: 30px;
    background: var(--color-primary-900);
    opacity: 1;
    color: #ffffff;
    border-radius: 100%;
    border: 2px solid #ffffff;
    z-index: 9;
    box-shadow: 0px 0px 30px 0px rgb(0 0 0 / 8%);
    padding: 0;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
}

.custom-modal {
    opacity: 0;
    visibility: hidden;
}

body.modal-open .custom-modal {
    opacity: 1;
    visibility: visible;
}

.custom-modal .custom-modal-dialog {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
}

body.modal-open .custom-modal .custom-modal-dialog {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    -o-transform: scale(1);
    transform: scale(1);
}

.custom-modal, body .custom-modal, body.modal-open .custom-modal .custom-modal-dialog, body .custom-modal .custom-modal-dialog {
    -webkit-transition: all 0.5s;
    -moz-transition: all 0.5s;
    -ms-transition: all 0.5s;
    -o-transition: all 0.5s;
    transition: all 0.5s;
}

.input-block:first-child {
    margin-bottom: 16px;
}

.input-block__title {
    font: 500 16px var(--font-body);
    color: var(--color-neutral-800);
    margin-bottom: 10px;
    display: block;
    /*text-transform: capitalize;*/
}

    .input-block__title::first-letter {
        text-transform: uppercase;
    }

.input-block__text,
.input-block__select {
    width: 100%;
    padding: 8px;
    border-radius: 4px;
    outline: none;
    border: 1px solid var(--color-neutral-600);
    font: 500 16px var(--font-body);
    color: var(--color-neutral-800);
}

.input-block__btn {
    width: fit-content;
    margin-top: 24px;
    margin-left: auto;
    display: block;
    padding: 8px 16px;
    background-color: var(--color-primary-900);
    color: var(--color-neutral-0);
    font: 500 16px var(--font-body);
    border-radius: 4px;
    border: none;
    cursor: pointer;
}

@media screen and (max-width: 1400px) {
    .container {
        max-width: 1140px;
    }

    .main-menu__text--home {
        height: 21px;
    }

        .main-menu__text--home .main-menu__icon {
            width: 21px;
            height: 21px;
        }

    .main-menu .main-menu__text {
        font-size: 14px;
    }
}

@media screen and (max-width: 1200px) {
    .container {
        max-width: 960px;
    }
    /* Header */
    header {
        position: sticky;
        top: 0;
        box-shadow: 0px 2px 4px 0px #0000001A;
        z-index: 100;
    }

        header .tool-bar,
        .logo-hero__header-banner,
        .main-menu,
        .keyword-bar > *:nth-child(2) {
            display: none;
        }

        header .logo-hero .container > * {
            padding: 8px 0;
            align-items: center;
        }

    .mobile-menu-btn {
        display: block;
        cursor: pointer;
        height: 24px;
    }

    header .logo-hero .header-image {
        height: 70px;
    }

    .mobile-menu.active {
        transform: translateX(0);
    }

    .mobile-menu {
        display: block;
        position: fixed;
        top: 0;
        width: 100%;
        height: 100vh;
        transform: translateX(-100%);
        transition: transform 400ms ease;
    }

    .mobile-menu-btn {
        height: 32px;
        outline: none;
        border: none;
        background-color: transparent;
    }

    .mobile-menu__title {
        font: 700 24px var(--font-highlight);
        color: var(--color-secondary-900);
    }

    .mobile-menu__header {
        padding: 8px 16px;
        background-color: var(--color-neutral-0);
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    .mobile-menu__list {
        overflow: auto;
        height: 100%;
        padding: 16px;
        background: linear-gradient(90.22deg, #821715 -43.85%, #C72421 100.34%);
    }

    .mobile-menu__date {
        display: flex;
        justify-content: center;
        align-items: center;
        padding-bottom: 16px;
        margin-bottom: 16px;
        border-bottom: 1px solid var(--color-neutral-200);
    }

    .mobile-menu__date-icon path {
        fill: var(--color-neutral-0);
    }

    .mobile-menu__date-text {
        margin-left: 8px;
        font-size: 16px;
        font-family: var(--font-body);
        color: var(--color-neutral-0);
    }

    .mobile-menu__tab {
        margin-bottom: 24px;
    }

    .mobile-menu__tab-label {
        text-transform: uppercase;
        color: var(--color-neutral-0);
        font: 500 18px var(--font-body);
    }

    .mobile-menu__tab-content {
        margin-top: 24px;
        padding: 16px;
        border-radius: 4px;
        background-color: #FFFFFF33;
    }

        .mobile-menu__tab-content > *:nth-last-child(n+2) {
            margin-bottom: 16px;
        }

    .mobile-menu__tab-item {
        font: 500 18px var(--font-body);
        color: var(--color-neutral-0);
    }
    /* width of scrollbar */
    ::-webkit-scrollbar {
        width: 8px;
    }

    /* track */
    ::-webkit-scrollbar-track {
        background: #f1f1f1;
    }

    /* thumb */
    ::-webkit-scrollbar-thumb {
        background: #888;
        border-radius: 10px;
    }

        /* thumb on hover */
        ::-webkit-scrollbar-thumb:hover {
            background: #555;
        }
    /* makes scrollbar thin */
    * {
        scrollbar-width: thin;
        scrollbar-color: #888 #f1f1f1;
    }
    /* Keyword */
    .keyword-bar {
        border-bottom: none;
        padding: 8px 0;
        margin: 0;
    }

    .keyword-bar__list {
        width: 100%;
    }
    /* Footer */
    .footer {
        overflow: hidden;
        position: relative;
    }

        .footer::after {
            content: "";
            position: absolute;
            top: 0px;
            left: 0;
            right: 0;
            height: 100%;
            /* bottom: 0; */
            /* inset: 0; */
            z-index: -1;
            background-image: url('/asset/images/mobile_footer_bg.png');
            background-repeat: no-repeat;
            /* background-position: center center; */
            background-size: 100% auto;
        }

    .footer__text {
        color: var(--color-neutral-0);
    }

    .footer__icon path {
        fill: var(--color-neutral-0);
    }

    .footer-logo,
    .footer__main-info > *:nth-child(n+2) {
        display: none;
    }

    .footer__main-info > *:first-child {
        width: 100%;
    }

        .footer__main-info > *:first-child > *:nth-child(-n+2) {
            text-align: center;
        }

    .footer__relate-info {
        flex-direction: column;
        align-items: center;
        padding-top: 16px;
        margin-top: 16px;
    }

        .footer__relate-info > * {
            text-align: center;
        }

            .footer__relate-info > *:nth-last-child(n+2) {
                margin-bottom: 24px;
            }

            .footer__relate-info > *:nth-child(2),
            .footer__relate-info > *:nth-child(3) {
                margin-left: unset;
            }

    .footer__subscribe {
        margin-top: 48px;
    }

        .footer__subscribe > *:first-child {
            display: none;
        }

    .footer__post-btn {
        box-shadow: 0px 2px 4px 0px #0000001A;
    }
}

@media screen and (max-width: 992px) {
    .container {
        max-width: 720px;
    }

    .header .logo-hero .header-image {
        height: 50px;
    }

    .section-header__main {
        margin-bottom: 12px;
    }

    .section-header__title {
        font-size: 24px;
    }

    .section-header__bar {
        height: 5px;
        width: 95px;
    }

    .section-header__bar-right {
        border-bottom-width: 5px;
    }

    .footer__post-wrapper {
        display: flex;
    }

    .footer__post-input {
        width: calc(100% - 94px);
    }

    .footer__post-btn {
        width: 88px;
        padding: 8px 21px;
    }
}

@media screen and (max-width: 768px) {
    .container {
        max-width: 540px;
    }
}

@media screen and (max-width: 576px) {
    .container {
        max-width: 100%;
    }

    .footer {
        background-color: var(--color-secondary-900);
    }

    .footer__post-input {
        width: calc(100% - 100px);
    }

    .footer__dropdown {
        display: block;
    }
}
